## org.w3c.dom.svg
Interface SVGGlyphRefElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGStylable, SVGURIReference

All Known Implementing Classes:
  SVGOMGlyphRefElement

public interface SVGGlyphRefElement
extends SVGElement, SVGURIReference, SVGStylable

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`float` `getDx()`
`float` `getDy()`
`java.lang.String` `getFormat()`
`java.lang.String` `getGlyphRef()`
`float` `getX()`
`float` `getY()`
`void` `setDx(float dx)`
`void` `setDy(float dy)`
`void` `setFormat(java.lang.String format)`
`void` `setGlyphRef(java.lang.String glyphRef)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Method Detail

### getGlyphRef

    public java.lang.String getGlyphRef()

### setGlyphRef

    public void setGlyphRef(java.lang.String glyphRef)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String format)
                   throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getX

    public float getX()

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getDx

    public float getDx()

### setDx

    public void setDx(float dx)
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getDy

    public float getDy()

### setDy

    public void setDy(float dy)
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.